PHP Manual
Prev |  | Next

# mysql_fetch_row

(PHP 3, PHP 4, PHP 5)

mysql_fetch_row -- Get a result row as an enumerated array

## Description

array mysql_fetch_row ( resource result )

Returns a numerical array that corresponds to the fetched row and moves the internal data pointer ahead.

## Parameters

result

  The result resource that is being evaluated. This result comes from a call to mysql_query().

## Return Values

Returns an numerical array that corresponds to the fetched row, or `FALSE` if there are no more rows.

mysql_fetch_row() fetches one row of data from the result associated with the specified result identifier. The row is returned as an array. Each result column is stored in an array offset, starting at offset 0.

## Examples

Example 1. Fetching one row with mysql_fetch_row()
`<?php $result = mysql_query("SELECT id,email FROM people WHERE id = '42'"); if (!$result) { echo 'Could not run query: ' . mysql_error(); exit; } $row = mysql_fetch_row($result); echo $row[0]; // 42 echo $row[1]; // the email value ?>`

## Notes

> Note: This function sets NULL fields to PHP `NULL` value.

## See Also

mysql_fetch_array()
mysql_fetch_assoc()
mysql_data_object()
mysql_data_seek()
mysql_fetch_lengths()
mysql_result()

Prev | Home | Next
mysql_fetch_object | Up | mysql_field_flags